> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kosli.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.kosli.com/feedback

```json
{
  "path": "/api-reference/repos/get-live-artifacts-for-a-repo",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get live artifacts for a repo

> Get the live status of artifacts from a repository across all environments.

Returns a `RepoLiveStatusResponse` object that includes:
- `_embedded.environments`: environments that currently have running artifacts from this repo
- `_embedded.artifacts`: the corresponding artifacts for those environments
- `live_artifacts`: a flattened view of currently running artifacts, including each artifact's
  compliance status, fingerprint, commit SHA, and start timestamp.

If multiple repos share the same name across different VCS providers, use the `provider`
parameter to disambiguate. Without it, the most recently created matching repo is returned.



## OpenAPI

````yaml https://app.kosli.com/api/v2/openapi.json get /repos/{org}/live-artifacts/{repo_name}
openapi: 3.1.0
info:
  title: Kosli API
  summary: The API for communicating with Kosli
  description: >

    # Authentication 


    When making requests against Kosli API, you can authenticate your requests
    using a bearer token. 

    Set the bearer token in the request Authorization header to a valid API
    key. 

    API Keys can be personal or for service accounts. Check the [service
    accounts
    documentation](https://docs.kosli.com/getting_started/service-accounts/) for
    details. 


    ## Curl example


    ```shell

    curl -H "Authorization: Bearer <<your-api-key>>"
    https://app.kosli.com/api/v2/environments/<<your-org-name>>

    ```
  version: '2.0'
servers:
  - url: https://app.kosli.com/api/v2
    description: EU
  - url: https://app.us.kosli.com/api/v2
    description: US
security:
  - HTTPBearer: []
paths:
  /repos/{org}/live-artifacts/{repo_name}:
    get:
      tags:
        - Repos
      summary: Get live artifacts for a repo
      description: >-
        Get the live status of artifacts from a repository across all
        environments.


        Returns a `RepoLiveStatusResponse` object that includes:

        - `_embedded.environments`: environments that currently have running
        artifacts from this repo

        - `_embedded.artifacts`: the corresponding artifacts for those
        environments

        - `live_artifacts`: a flattened view of currently running artifacts,
        including each artifact's
          compliance status, fingerprint, commit SHA, and start timestamp.

        If multiple repos share the same name across different VCS providers,
        use the `provider`

        parameter to disambiguate. Without it, the most recently created
        matching repo is returned.
      operationId: get_repo_live_artifacts_repos__org__live_artifacts__repo_name__get
      parameters:
        - name: repo_name
          in: path
          required: true
          schema:
            type: string
            title: Repo Name
        - name: org
          in: path
          required: true
          schema:
            type: string
            title: Org
        - name: provider
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                enum:
                  - github
                  - gitlab
                  - bitbucket
                  - azure-devops
                  - circleci
              - type: 'null'
            description: >-
              VCS provider (e.g. github, gitlab, bitbucket, azure-devops,
              circleci). Required when multiple repos share the same name across
              providers.
            title: Provider
          description: >-
            VCS provider (e.g. github, gitlab, bitbucket, azure-devops,
            circleci). Required when multiple repos share the same name across
            providers.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RepoLiveStatusResponse'
        '404':
          description: Resource Not Found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/fastapi_app__errors__NotFoundResponse___locals___NotFoundResponseModel__37
      security:
        - HTTPBearer: []
        - HTTPBasic: []
components:
  schemas:
    RepoLiveStatusResponse:
      properties:
        _links:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Links
        _embedded:
          anyOf:
            - $ref: '#/components/schemas/RepoLiveStatusEmbedded'
            - type: 'null'
        live_artifacts:
          items:
            $ref: '#/components/schemas/LiveArtifactEntryResponse'
          type: array
          title: Live Artifacts
      type: object
      required:
        - live_artifacts
      title: RepoLiveStatusResponse
    fastapi_app__errors__NotFoundResponse___locals___NotFoundResponseModel__37:
      properties:
        message:
          type: string
          title: Message
          description: Error message
        errors:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Errors
          description: Validation errors by field
      type: object
      required:
        - message
      title: NotFoundResponseModel
      description: Repo not found
      examples:
        - message: Repo not found
    RepoLiveStatusEmbedded:
      properties:
        artifacts:
          items:
            $ref: '#/components/schemas/EmbeddedArtifactResponse'
          type: array
          title: Artifacts
        environments:
          items:
            $ref: '#/components/schemas/EmbeddedEnvironmentResponse'
          type: array
          title: Environments
      type: object
      required:
        - artifacts
        - environments
      title: RepoLiveStatusEmbedded
    LiveArtifactEntryResponse:
      properties:
        environment_id:
          type: string
          title: Environment Id
        artifact_id:
          type: string
          title: Artifact Id
        artifact_name:
          type: string
          title: Artifact Name
        snapshot_index:
          type: integer
          title: Snapshot Index
        compliance:
          anyOf:
            - type: string
            - type: 'null'
          title: Compliance
        started_at:
          type: number
          title: Started At
        _links:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Links
      type: object
      required:
        - environment_id
        - artifact_id
        - artifact_name
        - snapshot_index
        - started_at
      title: LiveArtifactEntryResponse
    EmbeddedArtifactResponse:
      properties:
        id:
          type: string
          title: Id
        fingerprint:
          type: string
          pattern: ^[a-f0-9]{64}$
          title: Fingerprint
        commit_sha:
          anyOf:
            - type: string
              pattern: ^[a-f0-9]{40}$
            - type: 'null'
          title: Commit Sha
        commit_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Commit Url
        _links:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Links
      type: object
      required:
        - id
        - fingerprint
      title: EmbeddedArtifactResponse
    EmbeddedEnvironmentResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        type:
          type: string
          title: Type
        _links:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Links
      type: object
      required:
        - id
        - name
        - type
      title: EmbeddedEnvironmentResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````